// <auto-generated>
//  automatically generated by the FlatBuffers compiler, do not modify
// </auto-generated>

namespace RobinBird.Utilities.Runtime
{

using global::System;
using global::System.Collections.Generic;
using global::FlatBuffers;

public struct GuidFlat : IFlatbufferObject
{
  private Struct __p;
  public ByteBuffer ByteBuffer { get { return __p.bb; } }
  public void __init(int _i, ByteBuffer _bb) { __p = new Struct(_i, _bb); }
  public GuidFlat __assign(int _i, ByteBuffer _bb) { __init(_i, _bb); return this; }

  public byte A { get { return __p.bb.Get(__p.bb_pos + 0); } }
  public byte B { get { return __p.bb.Get(__p.bb_pos + 1); } }
  public byte C { get { return __p.bb.Get(__p.bb_pos + 2); } }
  public byte D { get { return __p.bb.Get(__p.bb_pos + 3); } }
  public byte E { get { return __p.bb.Get(__p.bb_pos + 4); } }
  public byte F { get { return __p.bb.Get(__p.bb_pos + 5); } }
  public byte G { get { return __p.bb.Get(__p.bb_pos + 6); } }
  public byte H { get { return __p.bb.Get(__p.bb_pos + 7); } }
  public byte I { get { return __p.bb.Get(__p.bb_pos + 8); } }
  public byte J { get { return __p.bb.Get(__p.bb_pos + 9); } }
  public byte K { get { return __p.bb.Get(__p.bb_pos + 10); } }
  public byte L { get { return __p.bb.Get(__p.bb_pos + 11); } }
  public byte M { get { return __p.bb.Get(__p.bb_pos + 12); } }
  public byte N { get { return __p.bb.Get(__p.bb_pos + 13); } }
  public byte O { get { return __p.bb.Get(__p.bb_pos + 14); } }
  public byte P { get { return __p.bb.Get(__p.bb_pos + 15); } }

  public static Offset<RobinBird.Utilities.Runtime.GuidFlat> CreateGuidFlat(FlatBufferBuilder builder, byte A, byte B, byte C, byte D, byte E, byte F, byte G, byte H, byte I, byte J, byte K, byte L, byte M, byte N, byte O, byte P) {
    builder.Prep(1, 16);
    builder.PutByte(P);
    builder.PutByte(O);
    builder.PutByte(N);
    builder.PutByte(M);
    builder.PutByte(L);
    builder.PutByte(K);
    builder.PutByte(J);
    builder.PutByte(I);
    builder.PutByte(H);
    builder.PutByte(G);
    builder.PutByte(F);
    builder.PutByte(E);
    builder.PutByte(D);
    builder.PutByte(C);
    builder.PutByte(B);
    builder.PutByte(A);
    return new Offset<RobinBird.Utilities.Runtime.GuidFlat>(builder.Offset);
  }
  public GuidFlatT UnPack() {
    var _o = new GuidFlatT();
    this.UnPackTo(_o);
    return _o;
  }
  public void UnPackTo(GuidFlatT _o) {
    _o.A = this.A;
    _o.B = this.B;
    _o.C = this.C;
    _o.D = this.D;
    _o.E = this.E;
    _o.F = this.F;
    _o.G = this.G;
    _o.H = this.H;
    _o.I = this.I;
    _o.J = this.J;
    _o.K = this.K;
    _o.L = this.L;
    _o.M = this.M;
    _o.N = this.N;
    _o.O = this.O;
    _o.P = this.P;
  }
  public static Offset<RobinBird.Utilities.Runtime.GuidFlat> Pack(FlatBufferBuilder builder, GuidFlatT _o) {
    if (_o == null) return default(Offset<RobinBird.Utilities.Runtime.GuidFlat>);
    return CreateGuidFlat(
      builder,
      _o.A,
      _o.B,
      _o.C,
      _o.D,
      _o.E,
      _o.F,
      _o.G,
      _o.H,
      _o.I,
      _o.J,
      _o.K,
      _o.L,
      _o.M,
      _o.N,
      _o.O,
      _o.P);
  }
};

public class GuidFlatT
{
  [Newtonsoft.Json.JsonProperty("a")]
  public byte A { get; set; }
  [Newtonsoft.Json.JsonProperty("b")]
  public byte B { get; set; }
  [Newtonsoft.Json.JsonProperty("c")]
  public byte C { get; set; }
  [Newtonsoft.Json.JsonProperty("d")]
  public byte D { get; set; }
  [Newtonsoft.Json.JsonProperty("e")]
  public byte E { get; set; }
  [Newtonsoft.Json.JsonProperty("f")]
  public byte F { get; set; }
  [Newtonsoft.Json.JsonProperty("g")]
  public byte G { get; set; }
  [Newtonsoft.Json.JsonProperty("h")]
  public byte H { get; set; }
  [Newtonsoft.Json.JsonProperty("i")]
  public byte I { get; set; }
  [Newtonsoft.Json.JsonProperty("j")]
  public byte J { get; set; }
  [Newtonsoft.Json.JsonProperty("k")]
  public byte K { get; set; }
  [Newtonsoft.Json.JsonProperty("l")]
  public byte L { get; set; }
  [Newtonsoft.Json.JsonProperty("m")]
  public byte M { get; set; }
  [Newtonsoft.Json.JsonProperty("n")]
  public byte N { get; set; }
  [Newtonsoft.Json.JsonProperty("o")]
  public byte O { get; set; }
  [Newtonsoft.Json.JsonProperty("p")]
  public byte P { get; set; }

  public GuidFlatT() {
    this.A = 0;
    this.B = 0;
    this.C = 0;
    this.D = 0;
    this.E = 0;
    this.F = 0;
    this.G = 0;
    this.H = 0;
    this.I = 0;
    this.J = 0;
    this.K = 0;
    this.L = 0;
    this.M = 0;
    this.N = 0;
    this.O = 0;
    this.P = 0;
  }
}


}
